#pragma once
#include "..\General\ContainerDlg.h"
#include "IplImageCapsule.h"


class AFX_EXT_CLASS CIplImageCapsuleDlg :
	public CContainerDlg
{
	DECLARE_SERIAL(CIplImageCapsuleDlg);
protected:
	CIplImageCapsule*		m_iplImageCapsule;
	CIplImageCapsule*		m_iplImageCapsuleLocal;
	bool					m_showColor;
	bool					m_stretchMode;

	virtual void DrawImage(CZoomDC* dc);

public:
	CIplImageCapsuleDlg(CWnd* pParent = NULL);
	virtual ~CIplImageCapsuleDlg(void);

	virtual void SetImage(CIplImageCapsule* iplImageCapsule);
	__inline CIplImageCapsule* GetImage() {return m_iplImageCapsule;}
	void SetIplImage(IplImage* image);

	void SetSBars();
	virtual void Update(CRect* invRect = NULL);
	__inline void SetShowColor(bool showColor) {m_showColor = showColor;}
	__inline bool GetShowColor() {return m_showColor;};
	__inline void SetStretchMode(bool stretchMode) {m_stretchMode = stretchMode;}
	__inline bool GetStretchMode() {return m_stretchMode;}

public:
	DECLARE_MESSAGE_MAP()
	afx_msg void OnPaint();
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
};
